Subject: Aquatic Ferns
From: [email-masked] (Audi4)
Date: 3 Jul 1994 21:06:02 -0400
Newsgroups: bionet.plants

I am trying to locate the African aquatic fern species Ceratopteris
cornuta.  I have tried many sources but I can find no specimens.  I
currently grow the other two species of the genus: C. thalictroides
(water sprite) and C. pteridoides.  I would like to research the
species of this genus, but I need C. cornuta.  Any help in finding it
would be great.